Subject: bug#75379: 30.0.93; project-find-regexp expects "C" or "en" locale

From: Dmitry Gutov <[email-masked]>
Date: Mon, 6 Jan 2025 03:32:19 +0200

On 05/01/2025 23:10, Matthias Meulien wrote:
>     Thanks for the detailed report.
> 
> 
> You're welcome.
> 
> I feel a bit culprit since I lived with that bug for such a long time 
> and only started debugging today... Shame on me.

Late is certainly better than never.

>     (...) About using LANG specifically, any chance that it might
>     interfere with
>     the system's configured encoding, e.g. UTF-8 vs other? In your example,
>     does searching for accented characters work as well?
> 
> 
> Yes. I added LANG=C then checked succesfully that search succeed with 
> french guillemet «, accented letters é, ç, and non-breaking space.

Thanks, that's a good sign. Perhaps someone else with experience in 
process output encoding could confirm that this is generally a sane 
approach, one that shouldn't lead to fewer matches caused by encoding 
mismatch.

>     IIUC we can try LC_MESSAGES as the more specialized var. Does
>     LC_MESSAGES=en work as well?
> 
> 
> No. Matches in binary files make the search fail in that case.

Hmm, what about LC_MESSAGES=C?

If neither works, could you try that approach in the terminal? Does it 
result in French text anyway, meaning this variable doesn't affect the 
language in Grep?